package edu.princeton.swing;

import java.beans.*;

import javax.swing.*;

/**
 * PListSelectionModel extends to add PropertyChangeListener support.
 */
public interface PListSelectionModel extends ListSelectionModel
{
    /**
     * Adds a PropertyChangeListener to the model to listen for changes in "selectionMode".
     *
     * @param listener The new PropertyChangeListener to add.
     */
    public void addPropertyChangeListener(PropertyChangeListener listener);

    /**
     * Removes a PropertyChangeListener from the model.
     *
     * @param listener The old PropertyChangeListener to add.
     */
    public void removePropertyChangeListener(PropertyChangeListener listener);
}
